Bug 469750 - (perl-Term-Size) Review Request: perl-Term-Size - Simple way to get terminal size
Review Request: perl-Term-Size - Simple way to get terminal size
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Term-Size
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 16:00 EST by Chris Weyl
Modified: 2013-10-14 08:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-03 16:00:37 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Term-Size.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Term-Size-0.2-1.fc9.src.rpm

Description:
*Term::Size* is a Perl module which provides a straightforward way to
retrieve the terminal size.

Both functions take an optional filehandle argument, which defaults to
'*STDIN{IO}'. They both return a list of two values, which are the current
width and height, respectively, of the terminal associated with the
specified filehandle.

'Term::Size::chars' returns the size in units of characters, whereas
'Term::Size::pixels' uses units of pixels.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=916588
Comment 1 Parag AN(पराग) 2008-11-04 05:21:43 EST
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=916867
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
982b5df8351e7654a42b7bffc0bf1d57  Term-Size-0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave None as they are not used.
+ Package  perl-Term-Size-0.2-1.fc10 =>
Provides: Size.so perl(Term::Size) = 0.2
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) perl(AutoLoader) perl(Carp) perl(DynaLoader)
 perl(Exporter) perl(strict) perl(vars) rtld(GNU_HASH)
APPROVED.
Comment 2 Chris Weyl 2008-11-04 11:31:23 EST
New Package CVS Request
=======================
Package Name: perl-Term-Size
Short Description: Simple way to get terminal size
Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 3 Chris Weyl 2008-11-04 17:03:17 EST
New Package CVS Request
=======================
Package Name: perl-Term-Size
Short Description: Simple way to get terminal size
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-11-05 17:48:56 EST
cvs done.
Comment 5 Petr Šabata 2013-10-14 00:11:59 EDT
Package Change Request
======================
Package Name: perl-Term-Size
New Branches: el6
Owners: georgiou
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2013-10-14 08:40:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.